Bug 248868 - NullPointerException at org.netbeans.modules.cnd.debugger.gdb2.GdbDebuggerImpl.interpUpdate
NullPointerException at org.netbeans.modules.cnd.debugger.gdb2.GdbDebuggerImp...
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: Debugger
Dev
All All
: P2 (vote)
: Dev
Assigned To: Maria Tishkova
issues@cnd
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-24 19:10 UTC by talreg
Modified: 2017-07-11 12:58 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.74 KB, text/plain)
2014-11-24 19:10 UTC, talreg
Details
gdb log (21.44 KB, text/x-log)
2017-04-16 00:28 UTC, tbrunhoff
Details

Note You need to log in before you can comment on or make changes to this bug.
Description talreg 2014-11-24 19:10:21 UTC
Build: NetBeans IDE Dev (Build 201411240001)
VM: Java HotSpot(TM) 64-Bit Server VM, 25.25-b02, Java(TM) SE Runtime Environment, 1.8.0_25-b17
OS: Linux

User Comments:
GUEST: debuging c++

talreg: pop up error when debugging




Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.cnd.debugger.gdb2.GdbDebuggerImpl.interpUpdate(GdbDebuggerImpl.java:3009)
   at org.netbeans.modules.cnd.debugger.gdb2.GdbDebuggerImpl.access$4500(GdbDebuggerImpl.java:135)
   at org.netbeans.modules.cnd.debugger.gdb2.GdbDebuggerImpl$31.onDone(GdbDebuggerImpl.java:3175)
   at org.netbeans.modules.cnd.debugger.gdb2.mi.MICommandManager.dispatch(MICommandManager.java:194)
   at org.netbeans.modules.cnd.debugger.gdb2.mi.MIProxy.dispatch(MIProxy.java:188)
   at org.netbeans.modules.cnd.debugger.gdb2.Gdb$MyMIProxy.dispatch(Gdb.java:692)
Comment 1 talreg 2014-11-24 19:10:23 UTC
Created attachment 150672 [details]
stacktrace
Comment 2 henk89 2014-11-25 10:42:23 UTC
This is the GDB issue 14734:
https://sourceware.org/bugzilla/show_bug.cgi?id=14734

Some investigation about fixing this in the IDE is needed.
Comment 3 tbrunhoff 2017-04-16 00:28:37 UTC
Created attachment 164114 [details]
gdb log
Comment 4 tbrunhoff 2017-04-16 00:29:08 UTC
This was originally reported in 8.1. Now I am getting the same exception... or at least the analytics thinks so... and I'm wondering if the incidents in this report will help: http://statistics.netbeans.org/analytics/detail.do?id=213617

I've attached the last gdb log showing a segfault. It looks as if the application faulted and it caused an exception in the ide.
Comment 5 soldatov 2017-05-03 14:40:43 UTC
Test case (Solaris 11, GCC 4.8.2,GDB 7.6):

C++ code:
#include <cstdlib>

class A {
public:
    A(int _x) : x(_x) {}
    int foo() {
        return x;
    }
private:
    int x;
};

int main(int argc, char**argv) {
    A* a = NULL;
    a = new A(1);
    a->foo();
    delete a;
    return 0;
}

Scenario:
- Start debugger
- Add 'a->foo()' as a new watch in Variables tab
- Press Step Over 1 or 2 times
==> NullPointerException
Comment 6 Quality Engineering 2017-05-05 01:45:40 UTC
Integrated into 'main-silver', will be available in build *201705050001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/87a04d6d6186
User: Maria Dalmatova <mromashova@netbeans.org>
Log: fixed bz#248868 - NullPointerException at org.netbeans.modules.cnd.debugger.gdb2.GdbDebuggerImpl.interpUpdate
fixed bz#270494 - Wrong variable values if user opens Disassembly tab
fixed bz#269968 - debugger continues from unexpected breakpoint place after tooltip evaluation
(transplanted from 75894d418298108045809b0de3d54d3d2171c53a)
Comment 7 Maria Tishkova 2017-07-11 12:58:01 UTC
fixed in http://hg.netbeans.org/main-silver/rev/87a04d6d6186
please re0open
not re-producible on my Ubuntu using scenario suggested by Valera


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo